Bug 1266879 - gdm logs with wrong syslog identifier
Summary: gdm logs with wrong syslog identifier
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 27
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-28 11:14 UTC by Antonin
Modified: 2018-11-30 18:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:49:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Antonin 2015-09-28 11:14:47 UTC
Description of problem:
gdm logs to journal with wrong "SYSLOG_IDENTIFIER".
gdm identifies itself wrong with "gdm-password]" string.
There is added a "]" char to the end.

Version-Release number of selected component (if applicable):
gdm.x86_64 1:3.16.3-1.fc22

How reproducible:
See journal log.

Steps to Reproduce:
1. make gdm to write some message to journal -> lock Gnome desktop + enter wrong password
2. unlock desktop and enter this command:
      journalctl -t "gdm-password]"
   or
      journalctl | grep gdm-password
3.

Actual results:
čen 01 07:31:38 termix gdm-password][10554]: pam_unix(gdm-password:auth): conversation failed

Expected results:
čen 01 07:31:38 termix gdm-password[10554]: pam_unix(gdm-password:auth): conversation failed

Additional info:

Comment 1 Antonin 2016-07-02 07:26:21 UTC
Still remains in Fedora 24:

nuc:~$ journalctl -b | grep gdm-password
Jun 28 06:49:05 nuc.home gdm-password][1289]: pam_unix(gdm-password:session): session opened for user antonin by (uid=0)

Comment 2 Fedora End Of Life 2016-07-19 20:14:32 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Jan Kurik 2016-07-20 08:23:48 UTC
According to the reporter, this bug is still present in the latest Fedora.
So, reopening ....

Comment 4 Jan Kurik 2016-07-26 05:03:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Antonin 2016-12-04 12:39:07 UTC
Still remains in Fedora 25:

nuc:~$ journalctl -b | grep gdm-password
pro 04 13:08:24 nuc.home gdm-password][1270]: pam_unix(gdm-password:session):   session opened for user antonin by (uid=0)

There is badly added a "]" char to the end of syslog identifier (gdm-password).

Comment 6 Antonin 2017-08-07 08:42:53 UTC
Still remains in Fedora 26. (tested with gdm.x86_64 1:3.24.2-1.fc26)

Comment 7 Ben Cotton 2018-11-27 17:46:16 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 18:49:25 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.